package cn.superdesk.uniorder.dao.mapper.unified;

import cn.superdesk.uniorder.dao.entity.unified.UnifiedProject;
import cn.superdesk.uniorder.dto.vo.unified.UnifiedProjectVo;

import java.util.List;
import java.util.Map;

public interface UnifiedProjectMapper {

	int deleteByPrimaryKey(Long projectId);

	int insert(UnifiedProject record);

	int insertSelective(UnifiedProject record);

	UnifiedProject selectByPrimaryKey(Long projectId);

	int updateByPrimaryKeySelective(UnifiedProject record);

	int updateByPrimaryKey(UnifiedProject record);

	List<UnifiedProjectVo> getData(Map<String, Object> params);
}